LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XModule Interface Reference

can be used to overrule identification of office modules. More...

`import "XModule.idl";`

Inheritance diagram for XModule:

## Public Member Functions
void | setIdentifier ([in] string Identifier)
string | getIdentifier ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

can be used to overrule identification of office modules.

Normally an office module will be identified by its service name in combination with a set of configuration data. But sometimes whole existing office modules will be used as black box components to implement a different office module on top of it. Patching a service name is not possible. So this optional interface can be used to overwrite identification of a module.

See also
  XModuleManager

Since
  OOo 2.3

## Member Function Documentation

## ◆ getIdentifier()

string getIdentifier | ( |  | ) |

Returns
  the module identifier.

## ◆ setIdentifier()

void setIdentifier | ( | [in] string | Identifier | ) |

Parameters

  Identifier | a new "name" for this module.

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XModule.idl